// ShowImg.cpp : Defines the entry point for the DLL application.
//

#include "stdafx.h"

// If you want to use ShowImg.dll, you have to set following registry in registry file "DDRAWCLE".
// [HKEY_LOCAL_MACHINE\Drivers\Display\VIA] 
// "ShowImgDLL"="ShowImg.dll"

// byte per pixel
#define	Bpp_8	0x1
#define	Bpp_16	0x2
#define	Bpp_32	0x4

// each data size is 4 byte
#define SIZE_OF_DATA	0x2


// Function Name : DllMain
// use method    : ShowImg.dll entry function
// Input         : hModule            - not use in this dll
//                 ul_reason_for_call - not use in this dll
//                 lpReserved         - not use in this dll
// Output        : always return TRUE
BOOL APIENTRY DllMain( HANDLE hModule, 
                       DWORD  ul_reason_for_call, 
                       LPVOID lpReserved
					 )
{
    RETAILMSG(1, (TEXT("Entry ShowImg.dll\r\n")));
    return TRUE;
}

// Function Name : PaintPseudo
// use method    : called by display driver (export this function in file "showimg.def")
// Input         :  pPseudo   - video memory starting address of test mode
//                  iWidth    - Width of test mode
//                  iHeight   - Height of test mode
//                  iBpp      - color depth of test mode
//                  iRRate    - Refresh Rate of test mode
// Output        : NULL
void PaintPseudo(ULONG *pPseudo, int iWidth, int iHeight, int iBpp, int iRRate)
{
    RETAILMSG(1, (TEXT("Entry export PanitPseudo function.\r\n")));

    int i, j;
    LONG lWidthNum;
    int iCount;
    DWORD dwpattern;

    switch (iBpp)
    {
        case 8:
            lWidthNum = (iWidth * Bpp_8) >> SIZE_OF_DATA;
            iCount = (25 * Bpp_8);
			dwpattern = 0x0F0F0F0F;
            break;
        case 16:
            lWidthNum = (iWidth * Bpp_16) >> SIZE_OF_DATA;
            iCount = (25 * Bpp_16);
			dwpattern = 0xFFFFFFFF;
            break;
        case 32:
            lWidthNum = (iWidth * Bpp_32) >> SIZE_OF_DATA;
            iCount = (25 * Bpp_32);
			dwpattern = 0xFFFFFFFF;
            break;
    }

    for (j=0; j<iHeight; j++)
    {
        if (((j/100)%2) == 0)
        {
            for (i=0; i<lWidthNum; i++)
            {
                if (((i/iCount)%2) == 0)
                    *pPseudo = dwpattern;
                else
                    *pPseudo = 0x00;
                pPseudo++;
            }
        }
        else
        {
            for (i=0; i<lWidthNum; i++)
            {
                if (((i/iCount)%2) == 0)
                    *pPseudo = 0x00;
                else
                    *pPseudo = dwpattern;
                pPseudo++;
            }
        }
    }
}